
/**
 * Write a description of class InvertFilter here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */

import java.awt.*;

public class InvertFilter extends Filter
{
	/**
	 * Constructor for objects of class InvertFilter
	 */
	public InvertFilter( String name )
	{
        super( name );
	}

    /**
     * Apply this filter to an image.
     * 
     * @param  image  The image to be changed by this filter.
     */
    public void apply(OFImage image)
    {
        int height = image.getHeight();
        int width = image.getWidth();
        for(int y = 0; y < height; y++) {
            for(int x = 0; x < width; x++) {
                image.setPixel(x, y, new Color( 255 - image.getPixel(x, y).getRGB() ) );
            }
        }
    }
}
